@import 'variables.scss';

::ng-deep.group-autocomplete {
  width: 100%;
  height: 40px;
  position: relative;

  .box-autocomplete {
    width: 100%;
    height: 100%;
    position: relative;

    input {
      width: 100%;
      height: 100%;
      font-size: 14px;
      font-weight: 500;
      color: $gray-darker;
      border: none;
      outline: none;
      background: transparent;

      &::-webkit-input-placeholder {
        color: rgba(98, 111, 134, 0.5);
      }

      &::-moz-placeholder {
        color: rgba(98, 111, 134, 0.5);
      }

      &:-ms-input-placeholder {
        color: rgba(98, 111, 134, 0.5);
      }
    }

    // style for input
    mat-form-field {
      width: 100%;
      height: 100%;
      margin: 0;

      &.input-page {
        .mat-form-field-wrapper {
          .mat-form-field-flex {
            padding-right: 54px;
          }
        }
      }

      .mat-form-field-wrapper {
        height: 100%;
        padding-bottom: 0;
        margin: 0;

        .mat-form-field-flex {
          height: 100%;
          margin: 0;

          .mat-form-field-infix {
            height: 100%;
            display: flex;
            align-items: center;
            background-color: transparent;
            border: none;
            border-radius: 0;
            box-shadow: none;
            padding: 0 !important;
          }
        }
      }

      .mat-form-field-underline {
        display: none;
      }
    }

    .mat-form-field-appearance-outline {
      .mat-form-field-outline {
        top: 0;
      }
    }

    .click-search {
      display: flex;
      justify-content: center;
      align-items: center;
      width: 40px;
      height: 40px;
      position: absolute;
      top: 0;
      right: 0;

      i {
        font-size: 23px;
      }
    }
  }

  .box-list {
    display: block;
    width: 100%;
    padding: 10px 0;
    border-radius: 0 0 4px 4px;
    background: $white-text-color;
    box-shadow: 0 2px 5px 1px rgba(0, 0, 0, 0.15);
    position: absolute;
    top: 41px;
    left: 0;
    z-index: 100;

    .list-search {
      display: block;
      width: 100%;
      max-height: 170px;
      padding: 0;
      margin: 0;
      overflow-y: auto;

      li {
        width: 100%;
        height: 40px;
        margin-bottom: 10px;
        list-style-type: none;
        position: relative;

        &:last-child {
          margin-bottom: 0;
        }

        a {
          display: block;
          width: 100%;
          height: 100%;
          padding-left: 10px;
          text-transform: capitalize;
          position: relative;

          p {
            display: block;
            width: 100%;
            font-size: 16px;
            color: $real-black;
            margin: 0;
            line-height: 40px;

            ::ng-deep.highlight {
              font-weight: bold;
            }
          }

          &:before {
            content: '';
            display: none;
            width: 100%;
            height: 100%;
            background: rgba(0, 110, 210, 0.1);
            position: absolute;
            top: 0;
            left: 0;
          }
        }

        &:hover {
          a {
            &:before {
              display: block;
            }
          }
        }
      }
    }
  }
}
